Emails

Apply a label to an email

POST/emails/{emailId}/labels/{labelId}

Idempotent: applying a label the email already has returns the current labels without firing label.applied again.

Authorization

apiKey
AuthorizationBearer <token>

Send your key as Authorization: Bearer mk_…. Session cookies are never accepted on this surface.

In: header

Path Parameters

emailId*string
labelId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/emails/string/labels/string" \  -H "Authorization: Bearer $MAYLEE_KEY"
{  "labels": [    {      "color": "Blue",      "id": "cmtgai1b2c3d4e5f6g7h8i9j",      "isAiLabel": true,      "name": "Sales"    },    {      "color": "Green",      "id": "cmtg1a2b3c4d5e6f7g8h9i0j",      "isAiLabel": false,      "name": "Quotes"    }  ]}